Commit 2e0422d5 authored by Kateryna Kostiuk's avatar Kateryna Kostiuk

iOS: unlink libraries before installing

This allows to install new versions when they are available

Change-Id: I7467f941fad1d42bc96bb1d2153b0d15cc827ab2
parent 1ee68bba
......@@ -163,6 +163,11 @@ IOS_DEPENDENCIES = [
'pkg-config', 'gettext', 'swiftlint', 'swiftgen'
]
IOS_DEPENDENCIES_UNLINK = [
'autoconf*', 'automake*', 'cmake*', 'yasm*', 'libtool*',
'pkg-config*', 'gettext*', 'swiftlint*', 'swiftgen*'
]
UNINSTALL_SCRIPT = [
'make -C daemon uninstall',
'xargs rm < lrc/build-global/install_manifest.txt',
......@@ -230,6 +235,10 @@ def run_dependencies(args):
)
elif args.distribution == "iOS":
execute_script(
BREW_UNLINK_SCRIPT,
{"packages": ' '.join(IOS_DEPENDENCIES_UNLINK)}
)
execute_script(
BREW_INSTALL_SCRIPT,
{"packages": ' '.join(IOS_DEPENDENCIES)}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment